dnsmasq/dnsmasq-2.31-initscript.patch

80 lines
1.7 KiB
Diff

diff -urN dnsmasq-2.31/rpm/dnsmasq.init dnsmasq-2.31-patched/rpm/dnsmasq.init
--- dnsmasq-2.31/rpm/dnsmasq.init 1969-12-31 18:00:00.000000000 -0600
+++ dnsmasq-2.31-patched/rpm/dnsmasq.init 2006-05-08 07:30:11.000000000 -0500
@@ -0,0 +1,75 @@
+#!/bin/sh
+#
+# Startup script for the DNS caching server
+#
+# chkconfig: - 99 01
+# description: This script starts your DNS caching server
+# processname: dnsmasq
+# pidfile: /var/run/dnsmasq.pid
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# Source networking configuration.
+. /etc/sysconfig/network
+
+# Check that networking is up.
+[ ${NETWORKING} = "no" ] && exit 0
+
+dnsmasq=/usr/sbin/dnsmasq
+[ -f $dnsmasq ] || exit 0
+
+DOMAIN_SUFFIX=`dnsdomainname`
+if [ ! -z "${DOMAIN_SUFFIX}" ]; then
+ OPTIONS="-s $DOMAIN_SUFFIX"
+fi
+
+RETVAL=0
+
+# See how we were called.
+case "$1" in
+ start)
+ echo -n "Starting dnsmasq: "
+ daemon $dnsmasq $OPTIONS
+ RETVAL=$?
+ echo
+ [ $RETVAL -eq 0 ] && touch /var/lock/subsys/dnsmasq
+ ;;
+ stop)
+ if test "x`pidof dnsmasq`" != x; then
+ echo -n "Shutting down dnsmasq: "
+ killproc dnsmasq
+ fi
+ RETVAL=$?
+ echo
+ [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/dnsmasq /var/run/dnsmasq.pid
+ ;;
+ status)
+ status dnsmasq
+ RETVAL=$?
+ ;;
+ reload)
+ echo -n "Reloading dnsmasq: "
+ killproc dnsmasq -HUP
+ RETVAL=$?
+ echo
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ RETVAL=$?
+ ;;
+ condrestart)
+ if test "x`/sbin/pidof dnsmasq`" != x; then
+ $0 stop
+ $0 start
+ RETVAL=$?
+ fi
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|reload|condrestart|status}"
+ exit 1
+esac
+
+exit $RETVAL
+